Bug 291742 - Copy & paste places widgets on top of each other
Summary: Copy & paste places widgets on top of each other
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal with 2 votes (vote)
Target Milestone: ---
Assignee: Ralf Habacker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-17 08:11 UTC by Ralf Habacker
Modified: 2014-01-22 20:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2012-01-17 08:11:13 UTC
Version:           unspecified (using Devel) 
OS:                Linux

When selecting widgets and pasting in the same diagram all pasted widgets are placed on top of each other. This should be improved. 


Reproducible: Always

Steps to Reproduce:
1. Create an activity diagram 
2. add some widgets and connections
3. select all widgets
4. paste widgets 


Actual Results:  
All widgets are in the top left corner on top of each other. 

Expected Results:  
Widgets location on paste should be in relation to the original widgets location and not on top of each other.
Comment 1 dasaan.san 2013-11-03 23:21:37 UTC
Confirmed with Umbrello 2.10.5 and KDE 4.10.5

How about pasting under the mouse pointer? Could help for making a faster workflow.
Comment 2 Ralf Habacker 2013-12-17 23:21:10 UTC
Git commit fb2217528528703351cb266e957ee0569ed5596f by Ralf Habacker.
Committed on 17/12/2013 at 23:05.
Pushed by habacker into branch 'master'.

Fix of 'Copy & paste places widgets on top of each other'.
Related: bug 85807

M  +0    -2    umbrello/widgets/umlwidget.cpp

http://commits.kde.org/umbrello/fb2217528528703351cb266e957ee0569ed5596f
Comment 3 Ralf Habacker 2013-12-17 23:23:59 UTC
Git commit 3e1efb54664ccf3b48793eae34f482e18a988a28 by Ralf Habacker.
Committed on 17/12/2013 at 23:05.
Pushed by habacker into branch 'KDE/4.12'.

Fix of 'Copy & paste places widgets on top of each other'.
Related: bug 85807
FIXED-IN: 4.12.1
(cherry picked from commit fb2217528528703351cb266e957ee0569ed5596f)

M  +0    -2    umbrello/widgets/umlwidget.cpp

http://commits.kde.org/umbrello/3e1efb54664ccf3b48793eae34f482e18a988a28
Comment 4 Ralf Habacker 2013-12-17 23:25:22 UTC
Git commit 8238921c784c93a972a7c2b195818502a1221799 by Ralf Habacker.
Committed on 17/12/2013 at 23:05.
Pushed by habacker into branch 'KDE/4.11'.

Fix of 'Copy & paste places widgets on top of each other'.
FIXED-IN: 4.11.5
(cherry picked from commit fb2217528528703351cb266e957ee0569ed5596f)

M  +0    -2    umbrello/widgets/umlwidget.cpp

http://commits.kde.org/umbrello/8238921c784c93a972a7c2b195818502a1221799